Logo
OpenScaler
ApiBilling

Get current usage-based rating

GET
/v1/customers/my/rating

Returns current usage-based rating for the account (does not include discounts, taxes, or other adjustments).

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Query Parameters

from_time?string

Start of the rating period (ISO 8601).

Formatdate-time
to_time?string

End of the rating period (ISO 8601).

Formatdate-time
currency?string

Currency for returned totals. Defaults to the account preference when omitted.

Value in

  • "DZD"
  • "USD"
  • "EUR"

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/customers/my/rating"
{  "period": {    "from": "2019-08-24T14:15:22Z",    "to": "2019-08-24T14:15:22Z"  },  "total": "42.15",  "currency": "USD",  "categories": {    "property1": {      "total": "12.50",      "items": [        {          "id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b",          "name": "my-example-computer",          "total": "1.25",          "status": "active"        }      ]    },    "property2": {      "total": "12.50",      "items": [        {          "id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b",          "name": "my-example-computer",          "total": "1.25",          "status": "active"        }      ]    }  }}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}